Page MenuHomePhabricator

Undefined index '1' in FormatMetadata::makeFormattedData (Software EXIF metadata)
Closed, ResolvedPublic

Description

Undefined index: 1 in /srv/mediawiki/php-1.31.0-wmf.3/includes/media/FormatMetadata.php on line 744

case 'Software':
        if ( is_array( $val ) ) {
                // if its a software, version array.
                $val = $this->msg( 'exif-software-version-value', $val[0], $val[1] )->text();
        } else {
                $val = $this->exifMsg( $tag, '', $val );
        }
        break;

You can have an array with only one value it seems here.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 12 2017, 11:47 PM
Dereckson updated the task description. (Show Details)
Dereckson updated the task description. (Show Details)
Restricted Application added projects: Commons, Multimedia. · View Herald TranscriptOct 12 2017, 11:55 PM

Change 383959 had a related patch set uploaded (by Dereckson; owner: Dereckson):
[mediawiki/core@master] media: Ensure there ie enough data to extract software version

https://gerrit.wikimedia.org/r/383959

Krinkle renamed this task from Undefined index in FormatMetadata::makeFormattedData for Software EXIF metadata to Undefined index '1' in FormatMetadata::makeFormattedData (Software EXIF metadata).Nov 20 2017, 11:40 PM
Ramsey-WMF moved this task from Untriaged to Next up on the Multimedia board.Nov 22 2017, 9:06 PM
Ramsey-WMF triaged this task as Medium priority.Nov 24 2017, 5:53 PM

Change 383959 merged by jenkins-bot:
[mediawiki/core@master] media: Ensure there ie enough data to extract software version

https://gerrit.wikimedia.org/r/383959

Umherirrender closed this task as Resolved.Dec 6 2017, 9:27 PM
mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:10 PM